Qt 5.6 | Qt 3D | C++ Classes | QGeometry

Qt 5.6.3 Reference Documentation

# QGeometry Class

(Qt3DRender::QGeometry)

Header: | #include <QGeometry>
qmake: | QT += 3drender
Instantiated By: | Geometry
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QCuboidGeometry, Qt3DRender::QCylinderGeometry, Qt3DRender::QPlaneGeometry, Qt3DRender::QSphereGeometry, and Qt3DRender::QTorusGeometry

- List of all members, including inherited members

## Properties

- boundingVolumeSpecifier : Qt3DRender::QBoundingVolumeSpecifier * const
- verticesPerPatch : int

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QGeometry(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QGeometry()
void | addAttribute(QAbstractAttribute *attribute)
QAttributeList | attributes() const
QBoundingVolumeSpecifier * | boundingVolumeSpecifier()
void | removeAttribute(QAbstractAttribute *attribute)
int | verticesPerPatch() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setVerticesPerPatch(int verticesPerPatch)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | verticesPerPatchChanged(int verticesPerPatch)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

## Related Non-Members

typedef | QAttributeList

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### boundingVolumeSpecifier : Qt3DRender::QBoundingVolumeSpecifier * const

Holds bounding volume specifier.

Access functions:

QBoundingVolumeSpecifier * | boundingVolumeSpecifier()

### verticesPerPatch : int

Holds vertices per patch.

Access functions:

int | verticesPerPatch() const
void | setVerticesPerPatch(int verticesPerPatch)

Notifier signal:

void | verticesPerPatchChanged(int verticesPerPatch)

## Member Function Documentation

### QGeometry::QGeometry(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QGeometry.

### `[protected]` QGeometry::QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QGeometry::~QGeometry()

Destroys this geometry.

### void QGeometry::addAttribute(QAbstractAttribute *attribute)

Adds an attribute to this geometry.

### QAttributeList QGeometry::attributes() const

Returns the list of attributes in this geometry.

### `[protected]` void QGeometry::copy(const Qt3DCore::QNode *ref)

### void QGeometry::removeAttribute(QAbstractAttribute *attribute)

Removes the given attribute from this geometry.

## Related Non-Members

### typedef Qt3DRender::QAttributeList

A vector of {QAbstractAttribute}s.